let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export default async function giveCollabAccess(
  email: string,
  isShare: boolean,
  organization: string
) {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/shareUser`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ email, isShare, organization }),
    });
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    if (!response.ok) {
      console.error("Failed to set Camera Position and Target");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to give collab access");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
}
